RECSET(1)

BEZEICHNUNG
recset - Felder in einer REC-Datei bearbeiten

ÜBERSICHT
recset [OPTION] … [DATEI] …

BESCHREIBUNG
Felder in Datensätzen bearbeiten oder löschen.

--no-external
    Keine externen Deskriptoren verwenden.

--force
    Datensatze auch dann ändern, wenn Richtlinien dies untersagen.

--help
    Hilfe ausgeben und beenden.

--version
    Version anzeigen und beenden.

  Optionen zur Datensatzauswahl:

-i, --case-insensitive
    Groß- oder Kleinschreibung in Auswahlausdrücken nicht beachten.

-t, --type=TYP
    Nur auf Datensätze des angegebenen Typs anwenden.

-e, --expression=DATENS_AUSDR
    Auswahlausdruck.

-q, --quick=ZEICHENKETTE
    Datensätze mit Feldern auswählen, die eine Zeichenkette enthalten.

-n, --number=ZAHL,…
    Bestimmte Datensätze nach Position auswählen, mit Bereichsangabe.

-m, --random=ZAHL
    Eine angegebene Zahl von Datensätzen zufällig auswählen.

  Optionen zur Feldauswahl:

-f, --fields=FELDER
    Kommagetrennte Liste von Feldnamen mit optionalen Subskripten.

  Aktionen:

-s, --set=WERT
    Den Wert der ausgewählten Felder ändern.

-a, --add=WERT
    Ausgewählte Felder mit dem angegebenen Wert hinzufügen.

-S, --set-add=WERT
    Den Wert der angegebenen Felder ändern. Falls diese Felder nicht existieren, ein neues Feld mit diesem Wert hinzufügen.

-r, --rename=NAME
    Die ausgewählten Felder in einen angegebenen Namen umbenennen. Falls ein ganzer Datensatz ausgewählt wird, dann wird das Feld im Datensatzdeskriptor ebenfalls umbenannt.

-d, --delete
    Ausgewählte Felder löschen.

-c, --comment
    Ausgewählte Felder auskommentieren.

AUTOR
Geschrieben von Jose E. Marchesi.

FEHLER MELDEN
Melden Sie Fehler (auf Englisch) an bug-recutils@gnu.org
Website der GNU Recutils: <https://www.gnu.org/software/recutils/>
Allgemeine Hilfe zur Benutzung von GNU-Software: https://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2010-2020 Jose E. Marchesi. Lizenz GPLv3+: GNU GPL Version 3 (https://gnu.org/licenses/gpl.html) oder neuer.
Dies ist freie Software: Sie können sie verändern und weitergeben. Es gibt KEINE GARANTIE, soweit gesetzlich zulässig.

SIEHE AUCH
Die vollständige Dokumentation für recset wird als Texinfo-Handbuch gepflegt. Wenn die Programme info(1) und recset auf Ihrem Rechner ordnungsgemäß installiert sind, können Sie mit dem Befehl

    info recutils

auf das vollständige Handbuch zugreifen.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).